<?php
/*************************************************************************

    XRef Analysis
    Copyright (C) 2007  Scott Auge and contributors 
    sauge@amduus.com scott_auge@yahoo.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
    
*************************************************************************/
    
/***********************************************************************
$Header: /appl/php/xref/src/RCS/obj_db.php,v 1.1 2007/05/22 06:40:49 sauge Exp $

$Log: obj_db.php,v $
Revision 1.1  2007/05/22 06:40:49  sauge
Initial revision

Revision 1.1  2007/01/20 19:03:57  sauge
Initial revision


*************************************************************************/

// Perform connections to DB, etc.
// Attn: We use PEAR as an abstraction layer - right now we assume connection to a
// PostgreSQL database.  To add other DB connections, do so in this file.
// You may need to add the pear directory to your include_path in php.ini

// Note our abstraction object is named $db

require_once ("DB.php"); // This is from pear.php.net
require_once ("config.php");


$options = array(
    'debug'       => 2,
    'portability' => DB_PORTABILITY_ALL
);

$db =& DB::connect($dsn, $options);
if (PEAR::isError($db)) {
    die($db->getMessage());
}
		  
$db->setFetchMode(DB_FETCHMODE_ASSOC);

?>
